package com.datarecovery.master.sdk.ad;

import androidx.annotation.NonNull;

import com.atmob.mediation.api.AdError;
import com.atmob.mediation.api.ad.AtmobAdLoadCallback;
import com.atmob.mediation.api.ad.reward.AtmobRewardAdListener;
import com.atmob.mediation.api.ad.reward.RewardInfo;

public abstract class RewardVideoListenerAdapter implements AtmobRewardAdListener, AtmobAdLoadCallback {

    protected boolean isRewarded;

    public void onRewarded(@NonNull String token) {

    }

    @Override
    public void onRewardAdShow() {

    }

    @Override
    public void onRewardAdShowFail(AdError adError) {
    }

    @Override
    public void onRewardClick() {

    }

    @Override
    public void onRewardAdClosed() {

    }

    @Override
    public final void onVideoComplete() {

    }

    @Override
    public final void onRewardVerify(boolean b, RewardInfo rewardInfo) {
        if (b) {
            isRewarded = true;
        }
    }

    @Override
    public void onLoadFailed(AdError adError) {

    }

    @Override
    public void onAdLoaded() {

    }
}
